package cn.com.qmth.markingaudit.bean;

import javax.validation.constraints.NotNull;

import cn.com.qmth.markingaudit.support.IdPagerQuery;

public class MarkingScoreDataQuery extends IdPagerQuery {

    private String schoolCode;

    @NotNull(message = "考试ID不能为空")
    private Integer examId;

    @NotNull(message = "科目代码不能为空")
    private String subjectCode;

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

}
