package cn.com.qmth.markingaudit.enums;

public enum SubjectiveStatus {

    UNMARK("未评完"), MARKED("已评完");

    private String name;

    private SubjectiveStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static SubjectiveStatus findByText(String text) {
        for (SubjectiveStatus c : SubjectiveStatus.values()) {
            if (c.toString().equalsIgnoreCase(text)) {
                return c;
            }
        }
        return null;
    }

}
