package cn.com.qmth.markingaudit.support;

import com.qmth.boot.core.security.model.AccessEntity;

public class AccessInfo implements AccessEntity {

    private String accessKey;

    private String accessSecret;

    private String schoolCode;

    public AccessInfo(String accessKey, String accessSecret, String schoolCode) {
        super();
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        this.schoolCode = schoolCode;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    @Override
    public String getIdentity() {
        return this.accessKey;
    }

    @Override
    public String getSecret() {
        return this.accessSecret;
    }

}
